* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Pond/
@ 2012-02-16 8:41 Kent Fredric
0 siblings, 0 replies; 3+ messages in thread
From: Kent Fredric @ 2012-02-16 8:41 UTC (permalink / raw
To: gentoo-commits
commit: f4c2c188ed3a3316f980dd27c64a323ab4f2854a
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Feb 16 06:47:01 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Feb 16 06:47:01 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=f4c2c188
[migrate] Data-Pond to x.y.z
(Portage version: 2.2.0_alpha85/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/Data-Pond/ChangeLog | 8 +++++++-
...ta-Pond-0.003.ebuild => Data-Pond-0.3.0.ebuild} | 3 ++-
2 files changed, 9 insertions(+), 2 deletions(-)
diff --git a/dev-perl/Data-Pond/ChangeLog b/dev-perl/Data-Pond/ChangeLog
index 9ca6a16..56bb216 100644
--- a/dev-perl/Data-Pond/ChangeLog
+++ b/dev-perl/Data-Pond/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-perl/Data-Pond
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Data-Pond-0.3.0 (16 Feb 2012)
+
+ 16 Feb 2012; Kent Fredric <kentfredric@gmail.com> -Data-Pond-0.003.ebuild,
+ +Data-Pond-0.3.0.ebuild:
+ Migrate to x.y.z
+
*Data-Pond-0.003 (03 Jan 2011)
03 Jan 2011; Kent Fredric <kentfredric@gmail.com> +Data-Pond-0.003.ebuild,
diff --git a/dev-perl/Data-Pond/Data-Pond-0.003.ebuild b/dev-perl/Data-Pond/Data-Pond-0.3.0.ebuild
similarity index 89%
rename from dev-perl/Data-Pond/Data-Pond-0.003.ebuild
rename to dev-perl/Data-Pond/Data-Pond-0.3.0.ebuild
index 4e61a40..c184353 100644
--- a/dev-perl/Data-Pond/Data-Pond-0.003.ebuild
+++ b/dev-perl/Data-Pond/Data-Pond-0.3.0.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=3
MODULE_AUTHOR=ZEFRAM
+MODULE_VERSION="0.003"
inherit perl-module
DESCRIPTION="Perl-based open notation for data"
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Pond/
@ 2012-02-16 8:41 Kent Fredric
0 siblings, 0 replies; 3+ messages in thread
From: Kent Fredric @ 2012-02-16 8:41 UTC (permalink / raw
To: gentoo-commits
commit: a6ccb21452878344987cb66853e3b2bf1fa0c6ce
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Feb 16 07:30:27 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Feb 16 07:30:27 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=a6ccb214
[newversion] Data-Pond-0.4.0
(Portage version: 2.2.0_alpha85/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/Data-Pond/ChangeLog | 5 ++
dev-perl/Data-Pond/Data-Pond-0.4.0.ebuild | 60 +++++++++++++++++++++++++++++
2 files changed, 65 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Data-Pond/ChangeLog b/dev-perl/Data-Pond/ChangeLog
index 56bb216..83d311c 100644
--- a/dev-perl/Data-Pond/ChangeLog
+++ b/dev-perl/Data-Pond/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Data-Pond-0.4.0 (16 Feb 2012)
+
+ 16 Feb 2012; Kent Fredric <kentfredric@gmail.com> +Data-Pond-0.4.0.ebuild:
+ Version Bump
+
*Data-Pond-0.3.0 (16 Feb 2012)
16 Feb 2012; Kent Fredric <kentfredric@gmail.com> -Data-Pond-0.003.ebuild,
diff --git a/dev-perl/Data-Pond/Data-Pond-0.4.0.ebuild b/dev-perl/Data-Pond/Data-Pond-0.4.0.ebuild
new file mode 100644
index 0000000..f1014fe
--- /dev/null
+++ b/dev-perl/Data-Pond/Data-Pond-0.4.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ZEFRAM
+MODULE_VERSION=0.004
+inherit perl-module
+
+DESCRIPTION='Perl-based open notation for data'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+ # Module::Build
+ echo virtual/perl-Module-Build
+ # perl 5.008 ( 5.8.0 )
+ echo \>=dev-lang/perl-5.8.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_build() {
+ # Module::Build
+ echo virtual/perl-Module-Build
+ # Test::More
+ echo virtual/perl-Test-Simple
+ # perl 5.008 ( 5.8.0 )
+ echo \>=dev-lang/perl-5.8.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_runtime() {
+ # Carp
+ # echo dev-perl/Carp
+ # Exporter
+ echo virtual/perl-Exporter
+ # Params::Classify
+ echo dev-perl/Params-Classify
+ # parent
+ echo virtual/perl-parent
+ # perl 5.008 ( 5.8.0 )
+ echo \>=dev-lang/perl-5.8.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Pond/
@ 2015-06-20 22:13 Kent Fredric
0 siblings, 0 replies; 3+ messages in thread
From: Kent Fredric @ 2015-06-20 22:13 UTC (permalink / raw
To: gentoo-commits
commit: ef3af422b5c5c4bd5b39745a3d0df9b5dfc94b9a
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Jun 20 21:59:05 2015 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Jun 20 21:59:05 2015 +0000
URL: https://gitweb.gentoo.org/proj/perl-overlay.git/commit/?id=ef3af422
[fixup] Data-Pond: Clean unused use.desc
Package-Manager: portage-2.2.17
dev-perl/Data-Pond/metadata.xml | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/dev-perl/Data-Pond/metadata.xml b/dev-perl/Data-Pond/metadata.xml
index dabb3f0..89d42e2 100644
--- a/dev-perl/Data-Pond/metadata.xml
+++ b/dev-perl/Data-Pond/metadata.xml
@@ -6,10 +6,7 @@
<email>kentfredric@gmail.com</email>
<name>Kent Fredric</name>
</maintainer>
- <use>
- <flag name="xsmodule">Pull dependencies required for building XS Version of the Module.</flag>
- </use>
- <upstream>
+ <upstream>
<remote-id type="cpan">Data-Pond</remote-id>
<remote-id type="cpan-module">Data::Pond</remote-id>
</upstream>
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2015-06-20 22:13 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-06-20 22:13 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Pond/ Kent Fredric
-- strict thread matches above, loose matches on Subject: below --
2012-02-16 8:41 Kent Fredric
2012-02-16 8:41 Kent Fredric
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox